package logssvc

import (
	logrepository "legalgo-BE-go/internal/accessor/log"
	adsdomain "legalgo-BE-go/internal/domain/ads"
	logsdomain "legalgo-BE-go/internal/domain/logs"
)

type impl struct {
	logsRepo logrepository.Log
}

type Log interface {
	CreateLogAds(logsdomain.LogsSpec) error
	CreateLogNews(logsdomain.LogsSpec) error
	GetAllLogAds(string) ([]adsdomain.Ads, error)
}

func New(
	logsRepo logrepository.Log,
) Log {
	return &impl{
		logsRepo,
	}
}
